Get a document
GET
One document, by id, with its chunk progress.
Access: workspace_viewer · API key documents:read
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>id*stringSuccess
application/json- response
id*stringworkspaceId*stringname*stringdescription*string|nullactive*booleanfilename*stringcontentType*stringsizeBytes*numberstatus*stringValue in
"uploaded""processing""ready""failed"error*string|nullchunkCount*numberembeddedChunkCount*numbercreatedByUserId*|Format
uuidcreatedByUserName*string|nullupdatedByUserId*|Format
uuidupdatedByUserName*string|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X GET 'https://api.poc.app.waylovoice.ai/documents/string' \ -H 'Authorization: Bearer sk_waylo_...'Example Response
{ "id": "string", "workspaceId": "string", "name": "string", "description": "string", "active": true, "filename": "string", "contentType": "string", "sizeBytes": 0, "status": "uploaded", "error": "string", "chunkCount": 0, "embeddedChunkCount": 0, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}